package com.arms.egovframework.javaservice.esframework.esquery.mustnot;

import com.arms.egovframework.javaservice.esframework.esquery.bool.EsBoolQuery;
import org.opensearch.index.query.AbstractQueryBuilder;
import org.opensearch.index.query.BoolQueryBuilder;

public abstract class MustNot<T extends AbstractQueryBuilder<T>>  extends EsBoolQuery {
	public abstract  AbstractQueryBuilder<T> abstractQueryBuilder();

	@Override
	public void boolQueryBuilder(BoolQueryBuilder boolQueryBuilder){
		if(abstractQueryBuilder()!=null){
			boolQueryBuilder.mustNot(abstractQueryBuilder());
		}
	}
}
